package quimufu.colourful_portals.portal;

import net.minecraft.entity.Entity;
import net.minecraft.server.world.ServerWorld;
import net.minecraft.util.Identifier;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.math.Direction;
import quimufu.colourful_portals.general_util.LinkedList;

import java.util.List;

public interface PortalLinkingSystem {
    Identifier getLinkingSystemId();

    void linkPortals(LinkedList<PortalRepresentation> portalRepresentations);

    void unLinkPortal(PortalRepresentation portalRepresentation);

    void onPortalPassed(Entity entity, BlockPos pos, ServerWorld world, Direction.Axis a);

    boolean needsReInit();
}
